Author Topic: Raspberry Pi 4 Support  (Read 426 times)

asahendrix

  • Full Member
  • ***
  • Posts: 50
    • View Profile
Raspberry Pi 4 Support
« on: June 25, 2019, 09:50:55 AM »
As some of you know, the Raspberry Pi 4 was released yesterday.

Maybe this is a stupid question but; are we going to need an Attract Mode update in order to run AM on the Pi 4? If so, what is the time table of an update release?

Thanks so much!

keilmillerjr

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 980
    • View Profile
Re: Raspberry Pi 4 Support
« Reply #1 on: June 25, 2019, 12:18:37 PM »
https://www.raspberrypi.org/blog/buster-the-new-version-of-raspbian/

Video drivers in raspbian is the biggest concern. It looks like you could possibly use the config to force using old drivers. Give this a read.
« Last Edit: June 25, 2019, 02:02:54 PM by keilmillerjr »

asahendrix

  • Full Member
  • ***
  • Posts: 50
    • View Profile
Re: Raspberry Pi 4 Support
« Reply #2 on: June 25, 2019, 12:39:15 PM »
Thank you for the info!!

chunksin

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: Raspberry Pi 4 Support
« Reply #3 on: July 03, 2019, 01:14:59 AM »
Hi,

Just wondered if anyone has managed to get Attract Mode working on a Pi4 yet? There is a similar issue with Retroarch that you can fix by disabling the videocore support using CFLAGS, is there a similar approach we could use for the Pi4?

thanks,
Rich

FrizzleFried

  • Sr. Member
  • ****
  • Posts: 243
    • View Profile
    • Idaho Garagecade
Re: Raspberry Pi 4 Support
« Reply #4 on: July 09, 2019, 12:21:19 PM »
Dee2er over at arpicade has had issues getting attract-mode running with his Pi4... anyone know if Pi4 compatibility is being addressed... or will be?

Thanks!
Visit my arcade blog ... www.idahogaragecade.com (updated 06-27-19)